> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Target Price

> This endpoint retrieves target price for a company, including target high, target low, target consensus, and target median.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/price/target/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/price/target/query:
    post:
      tags:
        - Analyst Estimates
      summary: Target Price
      description: >-
        This endpoint retrieves target price for a company, including target
        high, target low, target consensus, and target median.
      operationId: query_target_price_v1_target_price_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TargetPriceQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTargetPriceResponse'
components:
  schemas:
    TargetPriceQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            An object containing the identifier value(s) and their type for the
            Target Price tool.
      type: object
      required:
        - identifier
      title: TargetPriceQuery
    PublicTargetPriceResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TargetPrice'
          type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicTargetPriceResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    TargetPrice:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - GOOGL
        target_high:
          anyOf:
            - type: number
            - type: 'null'
          title: Target High
          description: The target high price of the company.
          examples:
            - 290
        target_low:
          anyOf:
            - type: number
            - type: 'null'
          title: Target Low
          description: The target low price of the company.
          examples:
            - 160
        target_consensus:
          anyOf:
            - type: number
            - type: 'null'
          title: Target Consensus
          description: The target consensus price of the company.
          examples:
            - 242.31
        target_median:
          anyOf:
            - type: number
            - type: 'null'
          title: Target Median
          description: The target median price of the company.
          examples:
            - 265
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: The currency of the price target values.
          examples:
            - USD
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
      title: TargetPrice
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````